diff -aurN a/CMakeLists.txt b/CMakeLists.txt
--- a/CMakeLists.txt	2019-06-11 11:21:59.723705824 -0400
+++ b/CMakeLists.txt	2019-06-11 11:26:11.109625713 -0400
@@ -71,6 +71,12 @@
 
 INCLUDE(version.cmake)
 
+IF(WITH_DOCUMENTATION_INSTALL_PATH)
+       set(DOCUMENTATION_INSTALL_PATH ${WITH_DOCUMENTATION_INSTALL_PATH})
+ELSE(WITH_DOCUMENTATION_INSTALL_PATH)
+       set(DOCUMENTATION_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/share/doc/myodbc-${CONNECTOR_MAJOR}.${CONNECTOR_MINOR})
+ENDIF(WITH_DOCUMENTATION_INSTALL_PATH)
+
 IF(NOT WIN32)
 	INCLUDE(CheckFunctionExists)
 	CHECK_FUNCTION_EXISTS(dlopen DLOPEN_IN_LIBC)
@@ -520,13 +526,10 @@
 #------------ Installation ---------------------------
-INCLUDE(cmake/info_bin.cmake)
 
-INSTALL(FILES LICENSE.txt   DESTINATION .)
-
 if(EXISTS "${CMAKE_SOURCE_DIR}/README.txt")
-  INSTALL(FILES README.txt    DESTINATION .)
+  INSTALL(FILES README.txt    DESTINATION ${DOCUMENTATION_INSTALL_PATH})
 else()
-  INSTALL(FILES README.md    DESTINATION .)
-  INSTALL(FILES CONTRIBUTING.md    DESTINATION .)
+  INSTALL(FILES README.md    DESTINATION ${DOCUMENTATION_INSTALL_PATH})
+  INSTALL(FILES CONTRIBUTING.md    DESTINATION ${DOCUMENTATION_INSTALL_PATH})
 endif()
 
 IF(WIN32)
@@ -567,7 +571,7 @@
 
 ELSE(WIN32)
 
-  INSTALL(FILES ChangeLog    DESTINATION .)
+  INSTALL(FILES ChangeLog    DESTINATION ${DOCUMENTATION_INSTALL_PATH})
 
 ENDIF(WIN32)
 
